#ifndef CCALLBACKEVENTRECEIVER_H_INCLUDED
#define CCALLBACKEVENTRECEIVER_H_INCLUDED

#include "ISceneNodeAnimator.h"

// This Internal Callback-EventReceiver helps to push the Events
// directly to to CallBack-Method.


typedef bool(*EventReceiverCallbackPtr)(const SEvent*);

namespace irr
{
namespace scene
{
class CCallbackEventReceiver : public IEventReceiver
{
   public:
    //! constructor
   CCallbackEventReceiver(EventReceiverCallbackPtr callBack) :
   callback(callBack)
   {
   }

   bool OnEvent(const SEvent& event)
   {
        return callback(&event);

   }

   protected:
   EventReceiverCallbackPtr callback;

};

} // end namespace scene
} // end namespace irr


#endif // CCALLBACKEVENTRECEIVER_H_INCLUDED
